#!/bin/bash

if [ $# -eq 1 ] ; then 
	INSTANCE_NAME="\-Didx_instance_name=${1}"
fi

echo "Stopping instance ${1}"


function get_pid() {
	PID=$(ps -ef | grep "${INSTANCE_NAME} .* [c]om.visualdoop.Visualdoop" | awk '{ print $2 }')
	echo $PID
}


pid=$(get_pid)
if [ -z "$pid" ]
then
	echo "Developer console instance ${1} isn't running on this machine"
else
	kill $pid
	sleep 2
	pid=$(get_pid)
	if [ ! -z "$pid" ] ; then
		kill -9 $pid
	fi
fi	
